export enum ErrorCode {
  // misc errors
  ERROR = 100,

  DATA_FILE_NOT_FOUND, // fatal
  LOG_PATH_NOT_FOUND, // fatal
  CRITICAL_DATA_MISSING, // fatal

  // card errors
  SCHEMA_ERROR,
  FHIR_SCHEMA_ERROR,
  INFLATION_ERROR,
  JWS_HEADER_ERROR,
  JWS_VERIFICATION_ERROR,
  SIGNATURE_FORMAT_ERROR,
  QR_DECODE_ERROR, // fatal
  ISSUER_KEY_DOWNLOAD_ERROR,
  ISSUER_KEY_WELLKNOWN_ENDPOINT_CORS,
  INVALID_ISSUER_URL,
  INVALID_QR,
  INVALID_NUMERIC_QR,
  INVALID_NUMERIC_QR_HEADER,
  MISSING_QR_CHUNK, // fatal
  UNBALANCED_QR_CHUNKS,
  INVALID_QR_VERSION,
  UNKNOWN_FILE_DATA,
  JSON_PARSE_ERROR,

  JWS_TOO_LONG,
  INVALID_FILE_EXTENSION,
  TRAILING_CHARACTERS,
  NOT_YET_VALID,
  PROFILE_ERROR,

  // key errors
  INVALID_KEY_WRONG_KTY = 200,
  INVALID_KEY_WRONG_ALG,
  INVALID_KEY_WRONG_USE,
  INVALID_KEY_WRONG_KID,
  INVALID_KEY_SCHEMA,
  INVALID_KEY_PRIVATE,
  INVALID_KEY_X5C,
  INVALID_KEY_UNKNOWN,

  // config errors
  OPENSSL_NOT_AVAILABLE = 300
}
